com.streambase.liveview.client.clientcontrol

## Interface ClientController

-     public interface ClientController

  The Interface provides methods to kill Queries, Publishers and Sessions.
  Since:
    2.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `killPublisher(String sessionID, String publisherID)` Kills the specific publisher based on ID from the server.
    `SnapshotResult` | `killPublishersWithPredicate(String predicate)` Kills publishers referring to the rows in the LVSessionPublishers Table that satisfy the predicate against LVSessionPublishers Table.
    `SnapshotResult` | `killQueriesWithPredicate(String predicate)` Kills queries referring to the rows in the LVSessionQueries Table that satisfy the predicate against LVSessionQueries Table.
    `void` | `killQuery(String sessionID, String queryID)` Kills the specific query based on ID from the server.
    `void` | `killSession(String sessionID)` Kills the specific session based on ID from the server.
    `SnapshotResult` | `killSessionsWithPredicate(String predicate)` Kills sessions referring to the rows in the LVSessions Table that satisfy the predicate against LVSessions Table.
    `void` | `stopNewSessions(boolean stopNewSession)` Stops accepting new sessions

- - ### Method Detail

    - #### killSession

          void killSession(String sessionID)
                    throws LiveViewException

      Kills the specific session based on ID from the server. A LiveViewException is thrown if the session doesn't exist on the server.
      Parameters:
        `sessionID` - The id of the session to kill
      Throws:
        `LiveViewException` - if there is a problem with the request or network issue, or no session can be bound with the given id

    - #### killQuery

          void killQuery(String sessionID,
                         String queryID)
                  throws LiveViewException

      Kills the specific query based on ID from the server. A LiveViewException is thrown if the query doesn't exist on the server.
      Parameters:
        `sessionID` - The id of the session that has query to be killed
        `queryID` - The id of the query to kill
      Throws:
        `LiveViewException` - if there is a problem with the request or network issue, or no query can be bound with the given id

    - #### killPublisher

          void killPublisher(String sessionID,
                             String publisherID)
                      throws LiveViewException

      Kills the specific publisher based on ID from the server. A LiveViewException is thrown if the publisher doesn't exist on the server.
      Parameters:
        `sessionID` - The id of the session that has the publisher to be killed
        `publisherID` - The id of the publisher to kill
      Throws:
        `LiveViewException` - if there is a problem with the request or network issue, or no publisher can be bound with the given id

    - #### killSessionsWithPredicate

          SnapshotResult killSessionsWithPredicate(String predicate)
                                            throws LiveViewException

      Kills sessions referring to the rows in the LVSessions Table that satisfy the predicate against LVSessions Table.
      Parameters:
        `predicate` - the predicate to select sessions from LVSessions Table
      Throws:
        `LiveViewException` - if there is a problem with the request or network issue.

    - #### killQueriesWithPredicate

          SnapshotResult killQueriesWithPredicate(String predicate)
                                           throws LiveViewException

      Kills queries referring to the rows in the LVSessionQueries Table that satisfy the predicate against LVSessionQueries Table.
      Parameters:
        `predicate` - the predicate to select queries from LVSessionQueries Table
      Throws:
        `LiveViewException` - if there is a problem with the request or network issue.

    - #### killPublishersWithPredicate

          SnapshotResult killPublishersWithPredicate(String predicate)
                                              throws LiveViewException

      Kills publishers referring to the rows in the LVSessionPublishers Table that satisfy the predicate against LVSessionPublishers Table.
      Parameters:
        `predicate` - the predicate to select publishers from LVSessionPublishers Table
      Throws:
        `LiveViewException` - if there is a problem with the request or network issue.

    - #### stopNewSessions

          void stopNewSessions(boolean stopNewSession)
                        throws LiveViewException

      Stops accepting new sessions
      Parameters:
        `stopNewSession` - true to stop new sessions and false to accept new sessions
      Throws:
        `LiveViewException` - if there is a problem with the request or network issue, or in any other way if the service is not executed

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.